function [L, degree, x0] = NLTVoperator(y,nx,ny,h,SNRinit,x_max)

x_init = deconvwnr(reshape(y,nx,ny),h,SNRinit); %init image
x_init =x_init/max(x_init(:))*x_max;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1B. NLTV linear operator
L = getNLoperator(reshape(x_init(:),nx,ny), 1);
%n = max(size(I(:)));
n = nx*ny;
for i = 1:n 
    q = find(L(:,i)>0);
    if (isempty(q))
        degree(i) = 0;
    else
        degree(i) = max(size(q));
    end
end 
x0 = x_init(:);